/**
 * NewGuideGraphCanvas.java
 *
 *
*/
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.lang.*;

public class NewGuideGraphCanvasQ extends GraphCanvasQ{
    //private static final Color bgcolor = new Color(236,236,221);
    //private static final Color bgcolor = new Color(170,240,240);
    private static final Color bgcolor = Color.gray;
    private NewGuide_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    public NewGuideGraphCanvasQ(NewGuide_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	
	setYRangeMax(state.currentMAX);
	setYRangeMin(-state.currentMAX);
	//setYRangeMin(0.0);
	plotZeroLine(true);
	plotRefPoint(false);
	setLabels("Current Standing Wave Pattern"," [mA]","z");
	//setRefPoint(state.a);
	plot(state.zposLarge,state.currentMLarge,state.currentNormalization,state.currentMIN,state.currentin);
   }
   
}